<div *ngIf="navbarService.showNavbar">
  <mat-toolbar class="custom-color" class="mat-elevation-z8">

    <div>
      <a routerLink='home' matTooltip="Home">
        <img class="logo" src="../../../assets/images/headphonesLogoNoBg.png" alt="Logo">
      </a>
    </div>
    <div>
      <img [ngClass]="{'logo-text': !navbarService.showLogoText, 'logo-text-expanded': navbarService.showLogoText }"
        src="../../../assets/images/Asset 5.png" alt="Logo Text">
    </div>

    <!-- Avatar -->
    <div class="avatar" *ngIf="user">
      <a routerLink='profile' matTooltip="Profile page">
        <img [src]="createImgPath(user.imageURL)" alt="Avatar" class="avatar">
      </a>
    </div>

    <div class="logout">

      <div *ngIf="!user">
        <button class="sign-in-btn" mat-raised-button color="accent" routerLink="/account" matTooltip="Sign in">
          <mat-icon>link</mat-icon>
          Sign in
        </button>
      </div>

      <div *ngIf="user">
        <button class="sign-out-btn" mat-raised-button color="accent" (click)="logout()" matTooltip="Sign out">
          <mat-icon>link</mat-icon>
          Sign out
        </button>
      </div>

    </div>
  </mat-toolbar>

</div>
